using Nox.Core;
using Nox.Game.UI;

namespace Nox.UI {
    public class CharacterCreationView : IMenuView {
        // we need prefab reference from the menu view, character creation data, save system, modifier calculation, gamemode state to start the game
        // party creation data/system,
        public CharacterCreationView(CharacterCreationReference characterCreationReference, MenuGameStateData menuGameStateData) {
            characterCreationReference.startGameButton.onClick.AddListener(() => menuGameStateData.startGameRequests?.Invoke(PlayMode.Adventure));
        }

        public void Initialize() {
            throw new System.NotImplementedException();
        }

        public void Tick() {
            throw new System.NotImplementedException();
        }
        public void Show() {
            throw new System.NotImplementedException();
        }
        public void Hide() {
            throw new System.NotImplementedException();
        }
        public void Dispose() {
            throw new System.NotImplementedException();
        }
    }
}
